Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.logging.log4j.core.net
Enum Protocol

    java.lang.Object
      java.lang.Enum<Protocol>
          org.apache.logging.log4j.core.net.Protocol

All Implemented Interfaces:
  Serializable, Comparable<Protocol>

    public enum Protocol

extends Enum<Protocol>

Enumeration of the supported protocols.

Enum Constant Summary
`SSL` SSL Protocol.
`TCP` TCP Protocol.
`UDP` UDP Protocol.

Method Summary
`boolean` | `isEqual(String name)` Determine if the String matches this enum.
`static Protocol` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Protocol[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TCP

    public static final Protocol TCP

  TCP Protocol.

### SSL

    public static final Protocol SSL

  SSL Protocol.

### UDP

    public static final Protocol UDP

  UDP Protocol.

Method Detail

### values

    public static Protocol[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Protocol c : Protocol.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Protocol valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### isEqual

    public boolean isEqual(String name)

  Determine if the String matches this enum.

  Parameters:
    `name` - The enumeration name to check.
  Returns:
    true if this enumeration has the specified name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.